AnsweredAssumed Answered

Yocto 2.4 optee-os-imx

Question asked by Patrick Jakob on Mar 25, 2019
Latest reply on Apr 8, 2019 by Patrick Jakob

Hello support team,

 

I am using a board with an i.MX6 CPU and I have downloaded Yocto 2.4.

 

   DOWNLOAD_URL=https://source.codeaurora.org/external/imx/imx-manifest
   BRANCH=imx-linux-rocko
   MANIFEST=imx-4.9.88-2.0.0_ga.xml
   ./repo init -u $DOWNLOAD_URL -b $BRANCH -m $MANIFEST

 

I setup my own layer and machine file. When I try to bitbake core-image-minimal I always get the same error message.

   optee-os-imx doesn´t recognize this MACHINE

 

I am not able to avoid this error without editing optee-os-imx_git.bb. I dont want to build this package so I tried to remove it from the machine file but it doesnt work.

   MACHINE_FEATURES_remove = " optee"

 

The package will be added by file image_types_fsl.bbclass

   IMAGE_INSTALL_append = " ${@bb.utils.contains('COMBINED_FEATURES', 'optee', 'packagegroup-fsl-optee-imx', '', d)} "

 

Can you give a hint how to remove this package and avoid this error without editing optee-os-imx_git.bb?

 

regards,

Patrick Jakob

Outcomes